Skip to content

Get Viber Bot channel information
Closed Beta

Request

Returns the information for a Viber Bot channel linked to a Conversation API App.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

conversationAppIdstringrequired

The unique ID of the app. You can find this on the Sinch Dashboard.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/viber' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Viber Bot information.

Bodyapplication/json
statusstring(ConversationChannelStatus)required

Channel integration status.

Enum:"ACTIVE""ERROR""FAILING""PENDING""UNRECOGNIZED"
statusDescriptionstring

Channel integration description if status is ERROR or FAILED.

idstring

Account ID

namestring

Account name

uristring

Account URI

iconstring

Account icon URI

categorystring

Account category

subcategorystring

Account subcategory

locationobject(ConversationAccountLocationDto)

Account location

countrystring

Account country name (long)

subscribersCountnumber

Account subscribers count

Response
{ "status": "ACTIVE", "statusDescription": "string", "id": "string", "name": "string", "uri": "string", "icon": "string", "category": "string", "subcategory": "string", "location": { "lon": 0, "lat": 0 }, "country": "string", "subscribersCount": 0 }
We'd love to hear from you!
Rate this content: